package com.rjconsultores.ventaboletos.relatorios.utilitarios.pacote;

import org.apache.commons.lang.StringUtils;

public class PacoteTarifaVoucher {
	
	private String nomPasajero;
	private String numDoc;
	private String tipoDoc;
	private String idioma;
	private String descEmail;
	private String numTelefone;
	private String desctipotarifa;
	private String nomconvenio;
	private String asiento;
	private String descOrigen;
	private String descDestino;
	private String fecHorViaje;
	private String desccategoria;
	private Integer corridaId;

	public String getNomPasajero() {
		return nomPasajero;
	}

	public void setNomPasajero(String nomPasajero) {
		this.nomPasajero = nomPasajero;
	}

	public String getNumDoc() {
		return numDoc;
	}

	public void setNumDoc(String numDoc) {
		this.numDoc = numDoc;
	}

	public String getTipoDoc() {
		return tipoDoc;
	}

	public void setTipoDoc(String tipoDoc) {
		this.tipoDoc = tipoDoc;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String idioma) {
		this.idioma = idioma;
	}

	public String getDescEmail() {
		return descEmail;
	}

	public void setDescEmail(String descEmail) {
		this.descEmail = descEmail;
	}

	public String getNumTelefone() {
		return numTelefone;
	}

	public void setNumTelefone(String numTelefone) {
		this.numTelefone = numTelefone;
	}

	public String getDesctipotarifa() {
		return desctipotarifa;
	}

	public void setDesctipotarifa(String desctipotarifa) {
		this.desctipotarifa = desctipotarifa;
	}

	public String getNomconvenio() {
		return nomconvenio;
	}

	public void setNomconvenio(String nomconvenio) {
		this.nomconvenio = nomconvenio;
	}

	public String getAsiento() {
		return asiento;
	}

	public void setAsiento(String asiento) {
		this.asiento = asiento;
	}

	public String getDescOrigen() {
		return descOrigen;
	}

	public void setDescOrigen(String descOrigen) {
		this.descOrigen = descOrigen;
	}

	public String getDescDestino() {
		return descDestino;
	}

	public void setDescDestino(String descDestino) {
		this.descDestino = descDestino;
	}

	public String getFecHorViaje() {
		return fecHorViaje;
	}

	public void setFecHorViaje(String fecHorViaje) {
		this.fecHorViaje = fecHorViaje;
	}
	
	public String getTipoNumDoc() {
		StringBuilder str = new StringBuilder();
		if(StringUtils.isNotBlank(getTipoDoc())) {
			str.append(getTipoDoc());
		}
		
		if(StringUtils.isNotBlank(getNumDoc())) {
			if(str.length() > 0) {
				str.append(" - ");
			}
			str.append(getNumDoc());
		}
		return str.toString();
	}

	public String getDesccategoria() {
		return desccategoria;
	}

	public void setDesccategoria(String desccategoria) {
		this.desccategoria = desccategoria;
	}

	public Integer getCorridaId() {
		return corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

}
